﻿using MediaBrowser.Controller.Entities;
using System.Threading;

namespace MediaBrowser.Controller.Library
{
    /// <summary>
    /// Interface IMetadataSaver
    /// </summary>
    public interface IMetadataSaver
    {
        /// <summary>
        /// Supportses the specified item.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise</returns>
        bool Supports(BaseItem item);

        /// <summary>
        /// Gets the save path.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns>System.String.</returns>
        string GetSavePath(BaseItem item);

        /// <summary>
        /// Saves the specified item.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <param name="cancellationToken">The cancellation token.</param>
        /// <returns>Task.</returns>
        void Save(BaseItem item, CancellationToken cancellationToken);
    }
}
